Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.event
Class GraphListenerHandler

    java.lang.Object
      edu.uci.ics.jung.graph.event.GraphListenerHandler

public class GraphListenerHandler
extends Object

This utility class handles Graph listening and call dispatching. Use it in the appropriate ways.

Author:
  danyelf

Constructor Summary
`GraphListenerHandler(ArchetypeGraph graph)`

Method Summary
`void` | `addListener(GraphEventListener gel, GraphEventType get)`
`void` | `handleAdd(ArchetypeEdge e)`
`void` | `handleAdd(ArchetypeVertex v)`
`void` | `handleRemove(ArchetypeEdge e)`
`void` | `handleRemove(ArchetypeVertex v)`
`boolean` | `listenersExist(GraphEventType type)`
`protected void` | `notifyListenersEdgeAdded(GraphEvent ge)`
`protected void` | `notifyListenersEdgeRemoved(GraphEvent ge)`
`protected void` | `notifyListenersVertexAdded(GraphEvent ge)`
`protected void` | `notifyListenersVertexRemoved(GraphEvent ge)`
`void` | `removeListener(GraphEventListener gel, GraphEventType get)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphListenerHandler

    public GraphListenerHandler(ArchetypeGraph graph)

Method Detail

### addListener

    public void addListener(GraphEventListener gel,
                            GraphEventType get)

  Parameters:
    `gel` -
    `get` -

### removeListener

    public void removeListener(GraphEventListener gel,
                               GraphEventType get)

  Parameters:
    `gel` -
    `get` -

### listenersExist

    public boolean listenersExist(GraphEventType type)

  Parameters:
    `type` - a GraphEventType
  Returns:
    true if at least one listener is listening to this type

### notifyListenersVertexAdded

    protected void notifyListenersVertexAdded(GraphEvent ge)

### notifyListenersEdgeAdded

    protected void notifyListenersEdgeAdded(GraphEvent ge)

### notifyListenersVertexRemoved

    protected void notifyListenersVertexRemoved(GraphEvent ge)

### notifyListenersEdgeRemoved

    protected void notifyListenersEdgeRemoved(GraphEvent ge)

### handleAdd

    public void handleAdd(ArchetypeEdge e)

  Parameters:
    `e` -

### handleAdd

    public void handleAdd(ArchetypeVertex v)

  Parameters:
    `v` -

### handleRemove

    public void handleRemove(ArchetypeVertex v)

  Parameters:
    `v` -

### handleRemove

    public void handleRemove(ArchetypeEdge e)

  Parameters:
    `e` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD